#include <linux/config.h>
#include <linux/module.h>
#include <asm/amigatypes.h>
#include <asm/zorro.h>
#include <asm/amigahw.h>

static struct symbol_table mach_amiga_symbol_table = {
#include <linux/symtab_begin.h>
	X(amiga_colorclock),
	X(amiga_masterclock),
	X(zorro_find),
	X(zorro_get_board),
	X(zorro_config_board),
	X(zorro_unconfig_board),
	X(amiga_chip_alloc),
	X(amiga_chip_free),
#include <linux/symtab_end.h>
};

void mach_amiga_syms_export(void)
{
	register_symtab(&mach_amiga_symbol_table);
}
